Module | Tk::TkDND::Shape
In: | tk/lib/tkextlib/tkDND/shape.rb

### Methods

package_name package_patchlevel package_version shape_bounds shape_get shape_offset shape_set shape_update version

### Constants

PACKAGE_NAME | = | 'shape'.freeze

### External Aliases

package_version | -> | shape_version
package_patchlevel | -> | shape_patchlevel
version | -> | xshape_version

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 23
          def self.package_name
            PACKAGE_NAME
          end

package_patchlevel()

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 41
          def self.package_patchlevel
            Tk.tk_call('set', 'shape_patchlevel')
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 36
          def self.package_version
            Tk.tk_call('set', 'shape_version')
          end

version()

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 46
          def self.version
            tk_call('shape', 'version')
          end

### Public Instance methods

shape_bounds(kind=nil)

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 53
          def shape_bounds(kind=nil)
            if kind
              ret = tk_call('shape', 'bounds', @path, "-#{kind}")
            else
              ret = tk_call('shape', 'bounds', @path)
            end
            if ret == ""
              nil
            else
              list(ret)
            end
          end

shape_get(kind=nil)

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 66
          def shape_get(kind=nil)
            if kind
              list(tk_call('shape', 'get', @path, "-#{kind}"))
            else
              list(tk_call('shape', 'get', @path))
            end
          end

shape_offset(x, y, kind=nil)

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 74
          def shape_offset(x, y, kind=nil)
            if kind
              tk_call('shape', 'get', @path, "-#{kind}", x, y)
            else
              tk_call('shape', 'get', @path, x, y)
            end
            self
          end

shape_set(*args)

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 108
          def shape_set(*args) # ?kind? ?offset <x> <y>? srckind ?arg ...?
            tk_call('shape', 'set', @path, *(_parse_shapespec_param(args)))
            self
          end

shape_update(op, *args)

[Source]

    # File tk/lib/tkextlib/tkDND/shape.rb, line 113
          def shape_update(op, *args) # ?kind? ?offset <x> <y>? srckind ?arg ...?
            tk_call('shape', 'update', @path, op, *(_parse_shapespec_param(args)))
            self
          end

[Validate]